### Function

# Vips value_set_blob_free

#### Declaration [src]

    void
    vips_value_set_blob_free (
      GValue* value,
      void* data,
      size_t length
    )

#### Description [src]

Just like `vips_value_set_blob()`, but when `value` is freed, `data` will be freed with `g_free()`.

This can be easier to call for language bindings.

See also

`vips_value_set_blob()`.

#### Parameters

`value`

  Type: `GValue`

  GValue to set.

  The data is owned by the caller of the function.

`data`

  Type: An array of `guint8`

  Pointer to area of memory.

  The length of the array is specified in the `length` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `size_t`

  Length of memory area.